package com.ssj.service.weixin.library.service;

import com.ssj.bean.weixin.libmy.domain.TbJxyReadIn;
import com.ssj.bean.weixin.user.domain.User;
import com.ssj.framework.core.common.service.BaseService;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.List;
import java.util.Map;

public interface IOneBookService extends BaseService<TbJxyReadIn, String> {

	Map<String, Object> getTjInfo(String userId);

	List<Map<String, Object>> groomBookList();

	List<Map<String, Object>> readBookList(String userId);

	List<TbJxyReadIn> getTop3Recode(String isbn13);

	int getCountByIsbn(String isbn13);

	Map<String, Object> findSignInfo(String isbn13, String id);

	Page<Map<String, Object>> findByPage(Map<String, Object> params, Pageable pageable);

	TbJxyReadIn findInfoByUserIsbn(String id, String isbn13);

	List<Map<String, Object>> findBorrowInfo(String vipId, String userId);

	Page<Map<String, Object>> myBorrowHis(Map<String, Object> params, Pageable pageable);

	Page<Map<String, Object>> myReadHis(Map<String, Object> params, Pageable pageable);

	int getCountSign(String isbn13, String id);
	
	public TbJxyReadIn findByisbn13AndUserId(String isbn13,String userId);

	List<String> findWordList(int type);

    void updateMobilePhone(User user, String phoneNumber);
}
